"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPublicKeys_1 = require("../model/operations/ListPublicKeys");
var ListPublicKeysCommand = /** @class */ (function () {
    function ListPublicKeysCommand(input) {
        this.input = input;
        this.model = ListPublicKeys_1.ListPublicKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPublicKeysCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPublicKeysCommand;
}());
exports.ListPublicKeysCommand = ListPublicKeysCommand;
//# sourceMappingURL=ListPublicKeysCommand.js.map