"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartLogging_1 = require("../model/operations/StartLogging");
var StartLoggingCommand = /** @class */ (function () {
    function StartLoggingCommand(input) {
        this.input = input;
        this.model = StartLogging_1.StartLogging;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartLoggingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartLoggingCommand;
}());
exports.StartLoggingCommand = StartLoggingCommand;
//# sourceMappingURL=StartLoggingCommand.js.map