"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateTrailInput_1 = require("../shapes/CreateTrailInput");
var CreateTrailOutput_1 = require("../shapes/CreateTrailOutput");
var MaximumNumberOfTrailsExceededException_1 = require("../shapes/MaximumNumberOfTrailsExceededException");
var TrailAlreadyExistsException_1 = require("../shapes/TrailAlreadyExistsException");
var S3BucketDoesNotExistException_1 = require("../shapes/S3BucketDoesNotExistException");
var InsufficientS3BucketPolicyException_1 = require("../shapes/InsufficientS3BucketPolicyException");
var InsufficientSnsTopicPolicyException_1 = require("../shapes/InsufficientSnsTopicPolicyException");
var InsufficientEncryptionPolicyException_1 = require("../shapes/InsufficientEncryptionPolicyException");
var InvalidS3BucketNameException_1 = require("../shapes/InvalidS3BucketNameException");
var InvalidS3PrefixException_1 = require("../shapes/InvalidS3PrefixException");
var InvalidSnsTopicNameException_1 = require("../shapes/InvalidSnsTopicNameException");
var InvalidKmsKeyIdException_1 = require("../shapes/InvalidKmsKeyIdException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var TrailNotProvidedException_1 = require("../shapes/TrailNotProvidedException");
var InvalidParameterCombinationException_1 = require("../shapes/InvalidParameterCombinationException");
var KmsKeyNotFoundException_1 = require("../shapes/KmsKeyNotFoundException");
var KmsKeyDisabledException_1 = require("../shapes/KmsKeyDisabledException");
var KmsException_1 = require("../shapes/KmsException");
var InvalidCloudWatchLogsLogGroupArnException_1 = require("../shapes/InvalidCloudWatchLogsLogGroupArnException");
var InvalidCloudWatchLogsRoleArnException_1 = require("../shapes/InvalidCloudWatchLogsRoleArnException");
var CloudWatchLogsDeliveryUnavailableException_1 = require("../shapes/CloudWatchLogsDeliveryUnavailableException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var CloudTrailAccessNotEnabledException_1 = require("../shapes/CloudTrailAccessNotEnabledException");
var InsufficientDependencyServiceAccessPermissionException_1 = require("../shapes/InsufficientDependencyServiceAccessPermissionException");
var NotOrganizationMasterAccountException_1 = require("../shapes/NotOrganizationMasterAccountException");
var OrganizationsNotInUseException_1 = require("../shapes/OrganizationsNotInUseException");
var OrganizationNotInAllFeaturesModeException_1 = require("../shapes/OrganizationNotInAllFeaturesModeException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateTrail = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateTrail",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CreateTrailInput_1.CreateTrailInput
    },
    output: {
        shape: CreateTrailOutput_1.CreateTrailOutput
    },
    errors: [
        {
            shape: MaximumNumberOfTrailsExceededException_1.MaximumNumberOfTrailsExceededException
        },
        {
            shape: TrailAlreadyExistsException_1.TrailAlreadyExistsException
        },
        {
            shape: S3BucketDoesNotExistException_1.S3BucketDoesNotExistException
        },
        {
            shape: InsufficientS3BucketPolicyException_1.InsufficientS3BucketPolicyException
        },
        {
            shape: InsufficientSnsTopicPolicyException_1.InsufficientSnsTopicPolicyException
        },
        {
            shape: InsufficientEncryptionPolicyException_1.InsufficientEncryptionPolicyException
        },
        {
            shape: InvalidS3BucketNameException_1.InvalidS3BucketNameException
        },
        {
            shape: InvalidS3PrefixException_1.InvalidS3PrefixException
        },
        {
            shape: InvalidSnsTopicNameException_1.InvalidSnsTopicNameException
        },
        {
            shape: InvalidKmsKeyIdException_1.InvalidKmsKeyIdException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: TrailNotProvidedException_1.TrailNotProvidedException
        },
        {
            shape: InvalidParameterCombinationException_1.InvalidParameterCombinationException
        },
        {
            shape: KmsKeyNotFoundException_1.KmsKeyNotFoundException
        },
        {
            shape: KmsKeyDisabledException_1.KmsKeyDisabledException
        },
        {
            shape: KmsException_1.KmsException
        },
        {
            shape: InvalidCloudWatchLogsLogGroupArnException_1.InvalidCloudWatchLogsLogGroupArnException
        },
        {
            shape: InvalidCloudWatchLogsRoleArnException_1.InvalidCloudWatchLogsRoleArnException
        },
        {
            shape: CloudWatchLogsDeliveryUnavailableException_1.CloudWatchLogsDeliveryUnavailableException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: CloudTrailAccessNotEnabledException_1.CloudTrailAccessNotEnabledException
        },
        {
            shape: InsufficientDependencyServiceAccessPermissionException_1.InsufficientDependencyServiceAccessPermissionException
        },
        {
            shape: NotOrganizationMasterAccountException_1.NotOrganizationMasterAccountException
        },
        {
            shape: OrganizationsNotInUseException_1.OrganizationsNotInUseException
        },
        {
            shape: OrganizationNotInAllFeaturesModeException_1.OrganizationNotInAllFeaturesModeException
        }
    ]
};
//# sourceMappingURL=CreateTrail.js.map