"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var StopLoggingInput_1 = require("../shapes/StopLoggingInput");
var StopLoggingOutput_1 = require("../shapes/StopLoggingOutput");
var TrailNotFoundException_1 = require("../shapes/TrailNotFoundException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var InvalidHomeRegionException_1 = require("../shapes/InvalidHomeRegionException");
var UnsupportedOperationException_1 = require("../shapes/UnsupportedOperationException");
var OperationNotPermittedException_1 = require("../shapes/OperationNotPermittedException");
var NotOrganizationMasterAccountException_1 = require("../shapes/NotOrganizationMasterAccountException");
var InsufficientDependencyServiceAccessPermissionException_1 = require("../shapes/InsufficientDependencyServiceAccessPermissionException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.StopLogging = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StopLogging",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StopLoggingInput_1.StopLoggingInput
    },
    output: {
        shape: StopLoggingOutput_1.StopLoggingOutput
    },
    errors: [
        {
            shape: TrailNotFoundException_1.TrailNotFoundException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        },
        {
            shape: InvalidHomeRegionException_1.InvalidHomeRegionException
        },
        {
            shape: UnsupportedOperationException_1.UnsupportedOperationException
        },
        {
            shape: OperationNotPermittedException_1.OperationNotPermittedException
        },
        {
            shape: NotOrganizationMasterAccountException_1.NotOrganizationMasterAccountException
        },
        {
            shape: InsufficientDependencyServiceAccessPermissionException_1.InsufficientDependencyServiceAccessPermissionException
        }
    ]
};
//# sourceMappingURL=StopLogging.js.map