"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CloudTrailClient_1 = require("../../CloudTrailClient");
var DescribeTrailsCommand_1 = require("../../commands/DescribeTrailsCommand");
var DeleteTrailCommand_1 = require("../../commands/DeleteTrailCommand");
describe("@aws-sdk/client-cloudtrail-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeTrails should succeed when given correct input", function (done) {
        var client = new CloudTrailClient_1.CloudTrailClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeTrails = new DescribeTrailsCommand_1.DescribeTrailsCommand({});
        client
            .send(describeTrails)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("DeleteTrail should fail when given bad input", function (done) {
        var client = new CloudTrailClient_1.CloudTrailClient({
            region: defaultRegion,
            credentials: credentials
        });
        var deleteTrail = new DeleteTrailCommand_1.DeleteTrailCommand({
            Name: "faketrail"
        });
        client
            .send(deleteTrail)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map